%define cvsdate 20050303

Name: lamip-input-speex
Version: 0.0.2
Release: alt0.2.%cvsdate

Summary: Speex input plugin for LAMIP
License: GPL
Group: Sound
Url: http://fondriest.frederic.free.fr/realisations/lamip
Packager: Andrey Astafiev <andrei@altlinux.ru>

Provides: lamip-input
Requires: lamip

Source: %url/files/src/testing/lamip-inputSPEEX_%cvsdate.tar.bz2

# Automatically added by buildreq on Sat Mar 12 2005
BuildRequires: gcc-c++ hostinfo lamip-devel libogg-devel libspeex-devel libstdc++-devel

%description
LAMIP is Linux Audio Multiply Interface Player.

This is Speex input plugin for LAMIP.

%prep
%setup -q -n inputspeex

%build
autoreconf -vifs
export CFLAGS="$CFLAGS -I/usr/include/speex"
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%_libdir/lamip/*.so
%exclude %_libdir/lamip/*.la
%doc NEWS README AUTHORS ChangeLog

%changelog
* Sun Jun 19 2005 Andrey Astafiev <andrei@altlinux.ru> 0.0.2-alt0.2.20050303
- Fixed build with current speex.

* Sun Mar 13 2005 Andrey Astafiev <andrei@altlinux.ru> 0.0.2-alt0.1.20050303
- First version of RPM package for Sisyphus.

